CREATE TABLE fa_mass_changes (
    MASS_CHANGE_ID                 NUMBER(18, 0) ,
    BOOK_TYPE_CODE                 VARCHAR2(120)     NOT NULL,
    TRANSACTION_DATE_ENTERED       DATE              NOT NULL,
    DATE_EFFECTIVE                 DATE              NOT NULL,
    CONCURRENT_REQUEST_ID          NUMBER(18, 0) ,
    FROM_ASSET_NUMBER              VARCHAR2(120) ,
    TO_ASSET_NUMBER                VARCHAR2(120) ,
    FROM_DATE_PLACED_IN_SERVICE    DATE          ,
    TO_DATE_PLACED_IN_SERVICE      DATE          ,
    CATEGORY_ID                    NUMBER(18, 0) ,
    CHANGE_FULLY_RSVD_ASSETS       VARCHAR2(12)      NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY_CODE        VARCHAR2(120) ,
    STATUS                         VARCHAR2(40)      NOT NULL,
    AMORTIZE_FLAG                  VARCHAR2(4)       NOT NULL,
    ASSET_TYPE                     VARCHAR2(60)  ,
    FROM_GROUP_ASSOCIATION         VARCHAR2(120) ,
    TO_GROUP_ASSOCIATION           VARCHAR2(120) ,
    FROM_GROUP_ASSET_ID            NUMBER(18, 0) ,
    TO_GROUP_ASSET_ID              NUMBER(18, 0) ,
    FROM_BONUS_RULE_ID             NUMBER(18, 0) ,
    FROM_METHOD_ID                 NUMBER(18, 0) ,
    FROM_FLAT_RATE_ID              NUMBER(18, 0) ,
    TO_BONUS_RULE_ID               NUMBER(18, 0) ,
    TO_METHOD_ID                   NUMBER(18, 0) ,
    TO_FLAT_RATE_ID                NUMBER(18, 0) ,
    FROM_CONVENTION_TYPE_ID        NUMBER(18, 0) ,
    TO_CONVENTION_TYPE_ID          NUMBER(18, 0) ,
    FROM_COST                      NUMBER        ,
    TO_COST                        NUMBER        ,
    ASSET_KEY_ID                   NUMBER(18, 0) ,
    LOCATION_ID                    NUMBER(18, 0) ,
    EMPLOYEE_ID                    NUMBER(18, 0) ,
    MANUFACTURER_NAME              VARCHAR2(1440),
    MODEL_NUMBER                   VARCHAR2(160) ,
    FROM_PRODUCTION_CAPACITY       NUMBER        ,
    TO_PRODUCTION_CAPACITY         NUMBER        ,
    FROM_UOM                       VARCHAR2(100) ,
    TO_UOM                         VARCHAR2(100) ,
    FROM_DEPRN_LIMIT               NUMBER        ,
    FROM_DEPRN_LIMIT_AMOUNT        NUMBER        ,
    FROM_PERCENT_SALVAGE_VALUE     NUMBER        ,
    FROM_DEPRN_LIMIT_TYPE          VARCHAR2(120) ,
    FROM_SALVAGE_TYPE              VARCHAR2(120) ,
    FROM_SALVAGE_VALUE             NUMBER        ,
    TO_DEPRN_LIMIT                 NUMBER        ,
    TO_DEPRN_LIMIT_AMOUNT          NUMBER        ,
    TO_DEPRN_LIMIT_TYPE            VARCHAR2(120) ,
    TO_PERCENT_SALVAGE_VALUE       NUMBER        ,
    TO_SALVAGE_TYPE                VARCHAR2(120) ,
    TO_SALVAGE_VALUE               NUMBER        ,
    MASS_CHANGE_ID                 NUMBER(18, 0) ,
    BOOK_TYPE_CODE                 VARCHAR2(120)     NOT NULL,
    TRANSACTION_DATE_ENTERED       DATE              NOT NULL,
    DATE_EFFECTIVE                 DATE              NOT NULL,
    CONCURRENT_REQUEST_ID          NUMBER(18, 0) ,
    FROM_ASSET_NUMBER              VARCHAR2(120) ,
    TO_ASSET_NUMBER                VARCHAR2(120) ,
    FROM_DATE_PLACED_IN_SERVICE    DATE          ,
    TO_DATE_PLACED_IN_SERVICE      DATE          ,
    CATEGORY_ID                    NUMBER(18, 0) ,
    CHANGE_FULLY_RSVD_ASSETS       VARCHAR2(12)      NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY_CODE        VARCHAR2(120) ,
    STATUS                         VARCHAR2(40)      NOT NULL,
    AMORTIZE_FLAG                  VARCHAR2(4)       NOT NULL,
    ASSET_TYPE                     VARCHAR2(60)  ,
    FROM_GROUP_ASSOCIATION         VARCHAR2(120) ,
    TO_GROUP_ASSOCIATION           VARCHAR2(120) ,
    FROM_GROUP_ASSET_ID            NUMBER(18, 0) ,
    TO_GROUP_ASSET_ID              NUMBER(18, 0) ,
    FROM_BONUS_RULE_ID             NUMBER(18, 0) ,
    FROM_METHOD_ID                 NUMBER(18, 0) ,
    FROM_FLAT_RATE_ID              NUMBER(18, 0) ,
    TO_BONUS_RULE_ID               NUMBER(18, 0) ,
    TO_METHOD_ID                   NUMBER(18, 0) ,
    TO_FLAT_RATE_ID                NUMBER(18, 0) ,
    FROM_CONVENTION_TYPE_ID        NUMBER(18, 0) ,
    TO_CONVENTION_TYPE_ID          NUMBER(18, 0) ,
    FROM_COST                      NUMBER        ,
    TO_COST                        NUMBER        ,
    ASSET_KEY_ID                   NUMBER(18, 0) ,
    LOCATION_ID                    NUMBER(18, 0) ,
    EMPLOYEE_ID                    NUMBER(18, 0) ,
    MANUFACTURER_NAME              VARCHAR2(1440),
    MODEL_NUMBER                   VARCHAR2(160) ,
    FROM_PRODUCTION_CAPACITY       NUMBER        ,
    TO_PRODUCTION_CAPACITY         NUMBER        ,
    FROM_UOM                       VARCHAR2(100) ,
    TO_UOM                         VARCHAR2(100) ,
    FROM_DEPRN_LIMIT               NUMBER        ,
    FROM_DEPRN_LIMIT_AMOUNT        NUMBER        ,
    FROM_PERCENT_SALVAGE_VALUE     NUMBER        ,
    FROM_DEPRN_LIMIT_TYPE          VARCHAR2(120) ,
    FROM_SALVAGE_TYPE              VARCHAR2(120) ,
    FROM_SALVAGE_VALUE             NUMBER        ,
    TO_DEPRN_LIMIT                 NUMBER        ,
    TO_DEPRN_LIMIT_AMOUNT          NUMBER        ,
    TO_DEPRN_LIMIT_TYPE            VARCHAR2(120) ,
    TO_PERCENT_SALVAGE_VALUE       NUMBER        ,
    TO_SALVAGE_TYPE                VARCHAR2(120) ,
    TO_SALVAGE_VALUE               NUMBER        ,
    CONSTRAINT pk_fa_mass_changes PRIMARY KEY (MASS_CHANGE_ID, MASS_CHANGE_ID)
);
